Bug 113488 - Chroot environment duplicated
Chroot environment duplicated
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-14 11:32 EST by Thomas Larson
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-30 17:59:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
bind spec patch (for 9.2.3-5 spec) (855 bytes, text/plain)
2004-01-30 20:14 EST, djh
no flags Details

  None (edit)
Description Thomas Larson 2004-01-14 11:32:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
The stock install of the bind packages with Fedora Core_1 create a
/var/named/chroot directory.  The chroot directory has the expected
entries of dev etc and var.

Looking in the var directory you have named run and temp.  Again, ok.
So up to this point we have gone as far as:

/var/named/chroot/var

drilling down another level shows that /var/named/chroot/var/named
contains another chroot directory.  This directory has a complete
duplicate implemenation of everything in /var/named/chroot.  Here is a
sample output from /var/named/chroot:

 ls -R
.:
dev  etc  var
 
./dev:
null  random
 
./etc:
named.conf    rndc.key   localtime   named.custom  
 
./var:
named  run  tmp
 
./var/named:
chroot  localhost.zone  named.ca  named.local  slaves
 
./var/named/chroot:
dev  etc  var
 
./var/named/chroot/dev:
null  random
 
./var/named/chroot/etc:
localtime  named.conf  named.custom  rndc.key
 
./var/named/chroot/var:
named  run  tmp
 
./var/named/chroot/var/named:
 
./var/named/chroot/var/run:
named
 
./var/named/chroot/var/run/named:
 
./var/named/chroot/var/tmp:
 
./var/named/slaves:
 
./var/run:
named
 
./var/run/named:
 
./var/tmp:
[root@localhost chroot]#




Version-Release number of selected component (if applicable):
bind-chroot-9.2.2.P3-9.i386

How reproducible:
Always

Steps to Reproduce:
1. Install fedora Core_1 with DNS server components
2. After install, navigate directories
3.
    

Actual Results:  see sample output in description

Expected Results:  Why is the chroot environment duplicated?

Additional info:
Comment 1 djh 2004-01-30 20:11:14 EST
Here's a patch that gets rid of the duplicate chroot dir, on both
installs and upgrades.  It also moves the tempfile used in the
bind-chroot %preun out of /tmp.
Comment 2 djh 2004-01-30 20:14:37 EST
Created attachment 97382 [details]
bind spec patch (for 9.2.3-5 spec)
Comment 3 Daniel Walsh 2004-04-05 22:20:27 EDT
Fixed in bind-9.2.3-13


Dan
Comment 4 Jason Vas Dias 2004-08-30 17:59:48 EDT
fixed in bind-9.2.4-6+

Note You need to log in before you can comment on or make changes to this bug.